/*
#
#  File        : gmic_stdlib.h
#                ( C++ header file )
#
#  Description : This file defines compressed buffers containing the command
#                definitions of the G'MIC Standard Library, as well as the
#                default filters in the G'MIC plug-in for GIMP.
#                This file has been automatically generated by Makefile entry
#                'stdlib:' (mainly from the G'MIC command file 'gmic_stdlib.gmic').
#                ( http://gmic.eu )
#
#  Copyright   : David Tschumperle
#                ( http://tschumperle.users.greyc.fr/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#
*/

#ifndef gmic_gimp
/* Define image 'gmic_stdlib' of size 1x252140x1x1 and type 'const unsigned char' */
const unsigned char data_gmic_stdlib[] = { 0 };
/* Define image 'gmic_logo' of size 1x3557x1x1 and type 'const unsigned char' */
const unsigned char data_gmic_logo[] = { 
  49, 32, 117, 110, 115, 105, 103, 110, 101, 100, 95, 99, 104, 97, 114, 32,
  108, 105, 116, 116, 108, 101, 95, 101, 110, 100, 105, 97, 110, 10, 51, 32,
  49, 48, 50, 32, 50, 50, 32, 49, 32, 35, 51, 53, 49, 48, 10, 120,
  156, 237, 152, 121, 80, 20, 87, 26, 192, 199, 104, 18, 239, 24, 143, 108,
  98, 178, 106, 146, 93, 19, 53, 18, 141, 27, 179, 171, 104, 76, 52, 186,
  130, 128, 8, 42, 10, 130, 32, 160, 128, 9, 151, 220, 247, 112, 43, 56,
  42, 26, 68, 238, 67, 112, 68, 185, 228, 134, 145, 1, 12, 3, 12, 231,
  128, 220, 236, 112, 200, 57, 48, 48, 204, 125, 178, 31, 243, 164, 51, 25,
  77, 21, 100, 107, 171, 246, 143, 125, 245, 85, 87, 247, 235, 247, 250, 245,
  247, 235, 239, 122, 141, 195, 253, 191, 205, 187, 201, 100, 178, 233, 217, 38,
  147, 55, 14, 95, 64, 109, 234, 200, 32, 85, 229, 150, 213, 210, 218, 123,
  248, 2, 33, 220, 153, 126, 165, 161, 193, 74, 39, 216, 49, 207, 43, 195,
  253, 189, 159, 172, 113, 198, 46, 239, 94, 118, 90, 97, 1, 18, 184, 205,
  77, 34, 146, 40, 141, 84, 92, 125, 190, 13, 230, 50, 5, 146, 170, 17,
  62, 177, 107, 42, 180, 110, 204, 169, 116, 208, 44, 151, 126, 58, 181, 93,
  51, 129, 118, 52, 162, 230, 159, 97, 148, 99, 132, 178, 147, 215, 201, 113,
  197, 237, 115, 95, 197, 201, 217, 29, 196, 209, 201, 205, 221, 195, 199, 197,
  213, 51, 48, 40, 36, 45, 45, 147, 112, 35, 12, 245, 35, 98, 216, 155,
  203, 100, 82, 54, 151, 119, 45, 38, 125, 171, 186, 213, 218, 61, 231, 214,
  236, 49, 92, 167, 106, 252, 209, 247, 230, 187, 245, 156, 241, 225, 169, 253,
  195, 12, 88, 118, 118, 228, 107, 64, 65, 251, 229, 110, 9, 118, 105, 179,
  192, 196, 113, 249, 37, 196, 106, 70, 86, 90, 88, 224, 206, 242, 89, 188,
  255, 132, 24, 12, 150, 72, 101, 189, 108, 113, 102, 31, 87, 191, 150, 185,
  62, 103, 104, 97, 66, 239, 135, 201, 189, 187, 31, 247, 105, 60, 233, 59,
  159, 223, 103, 93, 212, 235, 82, 220, 235, 93, 76, 199, 23, 116, 250, 100,
  183, 185, 61, 162, 217, 198, 87, 199, 147, 230, 77, 12, 196, 63, 32, 56,
  40, 56, 228, 113, 90, 198, 208, 208, 80, 114, 50, 241, 181, 196, 122, 7,
  70, 15, 24, 186, 174, 252, 250, 12, 176, 122, 127, 191, 201, 250, 239, 204,
  62, 58, 116, 105, 227, 15, 22, 27, 15, 91, 110, 248, 193, 98, 187, 182,
  93, 56, 177, 128, 47, 20, 42, 169, 217, 241, 180, 229, 206, 193, 171, 63,
  225, 140, 128, 143, 237, 194, 11, 152, 106, 1, 91, 92, 17, 43, 251, 183,
  205, 74, 195, 138, 230, 142, 229, 181, 160, 164, 50, 25, 75, 40, 105, 101,
  10, 179, 122, 184, 196, 110, 206, 163, 30, 110, 100, 15, 231, 70, 39, 59,
  244, 57, 203, 161, 114, 236, 76, 209, 208, 119, 105, 61, 42, 241, 237, 27,
  239, 208, 214, 93, 173, 94, 233, 85, 182, 220, 169, 104, 133, 77, 206, 26,
  171, 244, 63, 95, 122, 228, 158, 72, 253, 3, 196, 110, 133, 221, 1, 92,
  48, 145, 78, 239, 241, 193, 7, 184, 185, 123, 97, 196, 16, 129, 193, 81,
  230, 55, 167, 175, 188, 243, 55, 189, 53, 123, 206, 253, 105, 159, 201, 135,
  223, 153, 3, 165, 79, 142, 254, 248, 87, 117, 235, 205, 199, 108, 54, 171,
  219, 124, 170, 246, 211, 199, 71, 172, 12, 156, 111, 142, 179, 216, 8, 217,
  112, 235, 160, 195, 210, 139, 78, 43, 45, 1, 203, 75, 115, 90, 105, 9,
  139, 74, 132, 226, 58, 98, 85, 180, 118, 216, 204, 93, 184, 181, 194, 2,
  57, 227, 107, 95, 123, 46, 186, 136, 165, 178, 73, 129, 132, 193, 19, 15,
  114, 196, 45, 76, 97, 26, 157, 99, 67, 101, 110, 38, 141, 236, 34, 141,
  234, 144, 71, 173, 43, 198, 2, 106, 199, 9, 245, 99, 132, 154, 81, 66,
  245, 48, 129, 50, 64, 40, 239, 35, 144, 233, 4, 82, 23, 33, 191, 141,
  144, 253, 60, 191, 182, 111, 190, 196, 194, 110, 135, 139, 197, 98, 152, 85,
  85, 77, 197, 227, 3, 188, 125, 252, 193, 73, 21, 137, 137, 196, 226, 83,
  214, 129, 75, 119, 234, 174, 221, 123, 238, 131, 111, 77, 214, 31, 48, 3,
  211, 250, 139, 186, 245, 231, 90, 118, 219, 142, 59, 168, 156, 112, 220, 161,
  235, 180, 69, 203, 126, 179, 134, 237, 166, 195, 150, 186, 182, 215, 216, 156,
  25, 231, 26, 235, 30, 5, 95, 3, 86, 206, 239, 88, 98, 222, 71, 77,
  172, 144, 76, 79, 55, 14, 12, 197, 151, 86, 71, 107, 220, 132, 30, 187,
  69, 179, 134, 39, 149, 206, 240, 20, 73, 20, 65, 205, 69, 23, 169, 84,
  198, 17, 73, 123, 88, 162, 166, 49, 97, 243, 184, 176, 150, 33, 40, 28,
  228, 133, 116, 177, 13, 170, 153, 170, 121, 195, 155, 30, 244, 45, 185, 215,
  137, 187, 213, 130, 11, 105, 196, 5, 80, 23, 120, 87, 44, 116, 45, 193,
  217, 228, 227, 46, 101, 226, 12, 137, 184, 147, 241, 134, 132, 146, 215, 133,
  225, 223, 37, 230, 229, 237, 215, 210, 218, 150, 157, 157, 75, 38, 151, 85,
  84, 84, 250, 249, 5, 249, 250, 5, 249, 248, 248, 99, 196, 164, 50, 105,
  38, 169, 114, 241, 151, 39, 180, 172, 252, 171, 104, 29, 148, 134, 182, 227,
  118, 215, 53, 99, 139, 78, 36, 151, 106, 199, 145, 140, 188, 163, 40, 141,
  237, 148, 198, 78, 163, 187, 79, 116, 146, 203, 52, 162, 10, 54, 30, 177,
  188, 22, 147, 9, 179, 198, 233, 140, 203, 184, 115, 33, 187, 188, 105, 233,
  181, 247, 141, 162, 144, 165, 117, 178, 89, 241, 207, 106, 64, 226, 202, 169,
  163, 35, 19, 206, 43, 45, 29, 151, 93, 122, 226, 156, 42, 149, 74, 179,
  93, 31, 1, 189, 43, 75, 204, 159, 103, 55, 206, 43, 124, 65, 236, 226,
  139, 165, 76, 190, 220, 43, 233, 220, 168, 182, 169, 91, 173, 83, 222, 109,
  83, 33, 29, 108, 66, 11, 139, 208, 52, 73, 104, 100, 98, 54, 118, 189,
  98, 32, 164, 76, 110, 99, 197, 96, 99, 237, 96, 99, 121, 243, 180, 49,
  79, 47, 124, 248, 221, 72, 103, 23, 143, 210, 210, 242, 212, 212, 199, 152,
  159, 254, 106, 99, 82, 233, 105, 187, 160, 21, 187, 78, 81, 234, 91, 143,
  94, 196, 155, 121, 134, 231, 84, 54, 157, 205, 174, 211, 112, 188, 125, 236,
  70, 154, 79, 110, 117, 121, 109, 219, 209, 203, 33, 122, 143, 43, 191, 50,
  244, 217, 97, 228, 179, 233, 136, 213, 87, 39, 29, 88, 108, 174, 136, 47,
  154, 70, 49, 80, 42, 155, 26, 158, 116, 89, 101, 5, 208, 90, 40, 29,
  9, 114, 98, 73, 21, 117, 217, 77, 109, 180, 172, 122, 236, 101, 30, 93,
  78, 66, 84, 33, 232, 161, 158, 57, 70, 126, 240, 74, 8, 98, 227, 60,
  201, 0, 71, 220, 62, 33, 42, 122, 193, 11, 110, 102, 125, 85, 202, 88,
  152, 54, 176, 244, 126, 31, 68, 254, 173, 15, 122, 118, 19, 233, 251, 31,
  116, 125, 159, 220, 254, 67, 194, 243, 239, 35, 235, 247, 221, 170, 252, 58,
  176, 116, 139, 75, 222, 122, 243, 135, 198, 55, 201, 178, 57, 27, 25, 96,
  65, 14, 232, 234, 230, 149, 245, 36, 39, 47, 175, 224, 85, 98, 60, 129,
  112, 155, 166, 213, 167, 135, 76, 27, 218, 254, 181, 118, 175, 225, 134, 67,
  23, 247, 153, 226, 181, 239, 151, 218, 135, 36, 170, 225, 227, 253, 72, 180,
  164, 236, 103, 170, 70, 120, 221, 36, 178, 250, 173, 12, 21, 3, 47, 112,
  76, 200, 11, 80, 117, 40, 121, 22, 208, 0, 147, 107, 76, 169, 36, 228,
  150, 152, 132, 197, 234, 4, 221, 57, 125, 45, 92, 49, 183, 66, 3, 27,
  67, 206, 155, 229, 244, 80, 42, 145, 78, 207, 205, 43, 37, 114, 98, 116,
  150, 168, 121, 76, 80, 207, 16, 80, 229, 94, 121, 175, 135, 67, 232, 156,
  242, 167, 77, 218, 87, 142, 153, 146, 135, 207, 228, 191, 208, 206, 164, 31,
  123, 216, 113, 52, 169, 69, 35, 158, 118, 34, 166, 238, 108, 116, 141, 121,
  44, 213, 33, 177, 38, 157, 66, 159, 111, 28, 243, 240, 196, 251, 250, 5,
  38, 167, 16, 201, 228, 210, 215, 16, 227, 11, 62, 83, 187, 184, 249, 176,
  89, 99, 59, 29, 136, 173, 63, 96, 186, 69, 199, 1, 136, 217, 94, 75,
  56, 234, 19, 231, 75, 162, 37, 100, 149, 255, 67, 223, 123, 183, 33, 254,
  72, 80, 202, 169, 180, 202, 205, 186, 78, 107, 85, 141, 75, 170, 154, 144,
  117, 97, 90, 243, 38, 185, 104, 209, 51, 161, 17, 122, 33, 119, 65, 52,
  3, 110, 41, 34, 133, 22, 172, 226, 129, 136, 217, 189, 105, 58, 61, 103,
  27, 67, 94, 57, 198, 147, 180, 140, 11, 115, 122, 185, 55, 155, 89, 46,
  117, 19, 218, 213, 227, 58, 148, 49, 211, 138, 49, 59, 202, 152, 123, 21,
  195, 183, 154, 17, 88, 53, 18, 76, 25, 10, 40, 235, 199, 147, 232, 110,
  57, 29, 54, 15, 155, 46, 68, 87, 107, 95, 43, 241, 37, 214, 205, 203,
  198, 80, 61, 6, 199, 130, 130, 162, 208, 235, 55, 35, 238, 69, 43, 17,
  19, 137, 196, 127, 215, 179, 95, 253, 141, 94, 237, 243, 174, 173, 26, 151,
  127, 48, 245, 121, 80, 92, 13, 196, 108, 174, 38, 28, 241, 142, 245, 45,
  110, 136, 77, 39, 255, 77, 207, 237, 107, 99, 223, 45, 154, 118, 26, 247,
  242, 118, 92, 10, 90, 179, 199, 168, 178, 177, 157, 59, 206, 121, 100, 149,
  8, 117, 23, 196, 49, 69, 91, 114, 140, 123, 136, 160, 29, 243, 187, 57,
  253, 91, 43, 2, 151, 196, 36, 236, 219, 64, 48, 179, 57, 122, 37, 68,
  126, 136, 99, 224, 149, 29, 19, 66, 202, 8, 63, 190, 155, 125, 190, 126,
  66, 149, 60, 186, 45, 115, 240, 207, 201, 189, 171, 99, 186, 151, 133, 183,
  45, 190, 65, 123, 59, 184, 118, 177, 31, 101, 185, 87, 217, 90, 55, 210,
  6, 215, 194, 47, 220, 242, 247, 123, 230, 93, 207, 160, 253, 129, 234, 194,
  207, 63, 56, 62, 62, 233, 249, 243, 150, 103, 207, 42, 148, 136, 65, 38,
  210, 119, 184, 246, 230, 118, 45, 231, 208, 56, 106, 83, 103, 93, 75, 183,
  117, 104, 162, 70, 108, 145, 117, 96, 236, 33, 247, 72, 247, 92, 106, 56,
  177, 80, 229, 164, 179, 118, 2, 73, 43, 174, 248, 120, 98, 201, 199, 234,
  214, 27, 14, 154, 211, 7, 70, 216, 35, 44, 40, 39, 64, 247, 124, 124,
  38, 50, 54, 212, 184, 2, 97, 116, 81, 217, 216, 20, 27, 195, 5, 17,
  236, 202, 98, 115, 251, 183, 204, 20, 107, 90, 168, 61, 230, 168, 5, 16,
  155, 16, 200, 189, 114, 92, 72, 29, 17, 148, 15, 243, 139, 7, 121, 105,
  131, 252, 236, 65, 62, 121, 136, 95, 57, 194, 175, 99, 8, 104, 12, 126,
  19, 131, 223, 48, 204, 165, 14, 176, 203, 233, 147, 5, 109, 140, 71, 117,
  3, 81, 165, 221, 193, 25, 77, 196, 242, 174, 63, 64, 12, 234, 252, 155,
  183, 238, 144, 75, 203, 153, 19, 19, 120, 223, 128, 223, 68, 126, 153, 44,
  52, 54, 109, 209, 86, 205, 165, 187, 116, 85, 142, 255, 180, 83, 199, 238,
  131, 3, 23, 62, 213, 178, 183, 242, 139, 218, 169, 231, 186, 203, 192, 115,
  143, 129, 7, 148, 100, 159, 105, 95, 217, 166, 239, 177, 73, 237, 199, 245,
  7, 46, 28, 52, 246, 20, 138, 68, 28, 198, 20, 210, 61, 238, 228, 207,
  40, 40, 161, 134, 10, 78, 69, 127, 131, 116, 249, 107, 241, 63, 43, 51,
  244, 222, 177, 80, 68, 253, 123, 77, 41, 24, 254, 87, 27, 70, 204, 7,
  239, 95, 93, 77, 229, 114, 185, 157, 157, 93, 117, 245, 13, 78, 78, 191,
  33, 86, 215, 210, 181, 68, 69, 235, 237, 47, 79, 44, 223, 117, 106, 213,
  238, 179, 107, 247, 24, 190, 183, 207, 248, 18, 254, 222, 231, 26, 54, 155,
  14, 91, 65, 114, 132, 104, 15, 21, 218, 71, 223, 95, 132, 40, 247, 158,
  234, 249, 152, 116, 18, 84, 11, 92, 38, 7, 233, 238, 179, 233, 10, 90,
  174, 131, 212, 226, 189, 193, 190, 191, 174, 71, 73, 71, 135, 37, 230, 88,
  149, 171, 120, 12, 222, 238, 46, 150, 39, 220, 255, 157, 134, 17, 203, 201,
  201, 131, 34, 182, 178, 178, 26, 82, 0, 40, 27, 24, 116, 77, 113, 151,
  36, 145, 72, 213, 76, 220, 22, 125, 161, 181, 120, 135, 206, 138, 93, 167,
  223, 253, 70, 127, 205, 63, 206, 153, 121, 253, 252, 151, 127, 90, 126, 248,
  157, 25, 18, 96, 5, 41, 114, 221, 94, 163, 189, 103, 157, 167, 56, 92,
  176, 35, 222, 4, 23, 211, 125, 166, 208, 90, 108, 238, 44, 47, 48, 18,
  245, 35, 164, 226, 95, 243, 32, 28, 31, 152, 198, 162, 90, 87, 81, 188,
  63, 113, 244, 182, 125, 232, 159, 82, 235, 79, 172, 3, 121, 88, 222, 37,
  20, 73, 252, 137, 181, 185, 212, 94, 52, 49, 129, 212, 142, 182, 132, 60,
  161, 56, 166, 176, 213, 62, 170, 194, 239, 65, 109, 83, 207, 56, 244, 52,
  209, 199, 97, 228, 232, 36, 15, 134, 141, 79, 241, 195, 178, 154, 236, 35,
  43, 110, 102, 208, 198, 88, 124, 164, 56, 132, 154, 208, 180, 134, 251, 37,
  29, 24, 138, 184, 162, 54, 152, 130, 214, 2, 121, 49, 198, 33, 53, 244,
  7, 16, 235, 38, 56, 2, 184, 219, 55, 202, 134, 187, 221, 67, 44, 132,
  43, 47, 175, 16, 54, 71, 101, 101, 207, 104, 77, 205, 46, 174, 30, 176,
  226, 163, 199, 233, 74, 251, 202, 210, 106, 218, 210, 237, 154, 111, 110, 63,
  142, 160, 173, 252, 90, 207, 196, 253, 214, 198, 67, 230, 96, 81, 72, 214,
  169, 26, 193, 6, 234, 253, 125, 231, 159, 86, 53, 202, 173, 71, 6, 219,
  234, 87, 45, 7, 196, 227, 79, 214, 40, 164, 99, 196, 32, 141, 42, 141,
  4, 188, 94, 42, 158, 171, 15, 134, 237, 182, 73, 59, 226, 158, 115, 196,
  35, 199, 43, 137, 202, 230, 137, 112, 106, 119, 223, 210, 140, 44, 105, 124,
  1, 179, 246, 57, 100, 238, 189, 146, 9, 39, 154, 62, 121, 43, 117, 99,
  244, 130, 139, 119, 92, 78, 253, 240, 92, 226, 240, 4, 55, 233, 105, 7,
  140, 4, 122, 160, 233, 71, 134, 137, 239, 235, 39, 232, 248, 23, 172, 59,
  19, 255, 133, 5, 81, 40, 223, 83, 100, 80, 232, 242, 71, 221, 235, 29,
  157, 66, 196, 190, 177, 77, 123, 247, 84, 236, 204, 90, 242, 229, 90, 250,
  152, 14, 209, 20, 156, 90, 196, 17, 247, 108, 145, 88, 82, 222, 60, 8,
  227, 11, 234, 250, 1, 75, 240, 213, 80, 8, 248, 46, 174, 158, 89, 89,
  57, 189, 189, 125, 112, 9, 239, 64, 122, 90, 162, 68, 12, 204, 204, 231,
  118, 210, 194, 109, 26, 8, 218, 146, 157, 186, 231, 93, 110, 172, 255, 246,
  60, 216, 27, 200, 42, 144, 221, 103, 87, 255, 93, 63, 130, 152, 15, 38,
  138, 80, 8, 56, 2, 37, 86, 72, 108, 223, 48, 65, 47, 169, 248, 155,
  2, 85, 98, 63, 226, 12, 29, 150, 93, 76, 183, 75, 129, 60, 251, 175,
  33, 214, 27, 234, 17, 63, 134, 63, 35, 164, 55, 34, 189, 16, 177, 165,
  218, 145, 171, 79, 199, 181, 245, 79, 236, 115, 200, 216, 123, 101, 102, 47,
  172, 98, 149, 186, 254, 92, 226, 245, 244, 198, 178, 230, 193, 145, 137, 153,
  13, 90, 82, 201, 75, 98, 118, 145, 21, 139, 52, 238, 245, 140, 204, 76,
  31, 102, 114, 57, 179, 69, 245, 110, 155, 199, 48, 23, 56, 195, 243, 103,
  137, 165, 127, 98, 146, 12, 15, 33, 150, 117, 161, 30, 32, 246, 198, 177,
  136, 197, 199, 35, 45, 110, 151, 193, 147, 113, 234, 47, 137, 21, 23, 63,
  141, 136, 136, 130, 19, 210, 83, 242, 196, 196, 100, 90, 90, 38, 12, 46,
  44, 42, 126, 245, 223, 133, 80, 40, 190, 236, 251, 243, 162, 173, 199, 22,
  125, 161, 249, 214, 246, 227, 103, 175, 132, 172, 221, 99, 176, 108, 215, 169,
  25, 249, 234, 228, 123, 170, 6, 49, 233, 197, 146, 25, 92, 47, 137, 9,
  121, 66, 69, 92, 24, 61, 43, 156, 193, 180, 66, 173, 133, 142, 55, 246,
  250, 15, 62, 127, 241, 210, 101, 228, 105, 162, 99, 96, 18, 180, 254, 242,
  114, 234, 126, 199, 204, 218, 46, 6, 70, 204, 53, 190, 10, 16, 253, 213,
  52, 5, 44, 10, 17, 107, 233, 101, 158, 191, 94, 178, 217, 44, 101, 129,
  250, 221, 13, 231, 147, 58, 7, 38, 49, 98, 186, 1, 133, 235, 206, 196,
  41, 37, 133, 252, 154, 62, 184, 235, 147, 92, 115, 204, 59, 119, 137, 118,
  212, 16, 147, 139, 136, 189, 115, 50, 6, 214, 178, 250, 185, 28, 35, 246,
  150, 86, 100, 124, 113, 251, 2, 181, 187, 167, 2, 11, 49, 27, 107, 104,
  164, 37, 37, 165, 192, 73, 154, 252, 223, 133, 64, 0, 110, 43, 67, 61,
  10, 196, 144, 98, 50, 200, 128, 145, 15, 114, 55, 238, 55, 92, 248, 185,
  250, 98, 149, 227, 96, 111, 80, 117, 44, 223, 169, 163, 118, 193, 163, 166,
  185, 19, 172, 11, 13, 69, 63, 24, 69, 2, 145, 18, 43, 236, 178, 135,
  210, 133, 242, 37, 70, 12, 243, 83, 172, 19, 17, 43, 170, 239, 231, 10,
  196, 92, 190, 136, 47, 20, 79, 241, 132, 208, 3, 65, 6, 76, 238, 3,
  131, 4, 56, 71, 196, 178, 40, 244, 95, 90, 134, 96, 245, 39, 85, 61,
  224, 71, 183, 159, 52, 97, 196, 130, 83, 235, 225, 36, 165, 20, 222, 77,
  6, 71, 8, 86, 98, 137, 84, 213, 33, 3, 252, 113, 213, 201, 152, 85,
  167, 98, 23, 168, 71, 56, 70, 83, 224, 33, 224, 149, 240, 52, 174, 64,
  4, 107, 193, 138, 48, 12, 17, 3, 231, 242, 76, 162, 194, 67, 48, 98,
  79, 75, 200, 108, 54, 27, 10, 215, 188, 252, 66, 196, 86, 36, 18, 193,
  246, 92, 145, 24, 214, 228, 10, 73, 25, 19, 172, 199, 133, 191, 184, 223,
  72, 176, 11, 188, 119, 39, 57, 187, 190, 181, 91, 44, 121, 205, 239, 26,
  137, 80, 172, 4, 202, 118, 225, 5, 107, 156, 241, 157, 131, 87, 251, 106,
  122, 166, 167, 149, 127, 80, 40, 78, 135, 115, 240, 175, 143, 141, 239, 163,
  87, 5, 14, 159, 153, 63, 192, 136, 193, 0, 106, 251, 200, 82, 237, 168,
  189, 14, 160, 163, 248, 176, 91, 246, 140, 183, 158, 136, 122, 67, 35, 226,
  147, 11, 201, 189, 163, 108, 20, 199, 154, 123, 198, 225, 174, 22, 62, 31,
  69, 63, 128, 115, 225, 6, 249, 105, 227, 11, 184, 140, 46, 108, 69, 171,
  64, 244, 91, 161, 27, 51, 54, 197, 7, 27, 67, 11, 161, 35, 152, 214,
  12, 49, 205, 72, 248, 146, 64, 251, 236, 213, 98, 140, 88, 64, 224, 85,
  30, 143, 167, 168, 47, 133, 82, 133, 118, 1, 175, 18, 147, 187, 156, 20,
  89, 7, 102, 17, 74, 191, 94, 127, 29, 44, 145, 206, 176, 90, 118, 209,
  18, 167, 239, 241, 190, 77, 253, 195, 106, 52, 64, 34, 150, 40, 129, 82,
  36, 134, 29, 193, 193, 33, 110, 67, 4, 70, 210, 53, 200, 130, 30, 56,
  97, 204, 230, 187, 126, 6, 27, 2, 20, 154, 14, 39, 101, 77, 131, 13,
  221, 12, 177, 220, 163, 39, 57, 2, 24, 41, 152, 253, 113, 4, 57, 14,
  238, 130, 101, 206, 124, 136, 73, 30, 220, 18, 205, 38, 107, 38, 155, 15,
  151, 240, 45, 232, 195, 83, 216, 90, 32, 147, 28, 33, 124, 178, 214, 126,
  230, 203, 152, 44, 146, 64, 39, 132, 65, 148, 43, 111, 223, 185, 203, 98,
  189, 76, 25, 83, 83, 108, 188, 111, 160, 98, 5, 251, 255, 54, 175, 246,
  111, 249, 167, 23, 252 };
const unsigned long size_data_gmic_logo = (unsigned long)sizeof(data_gmic_logo);
#endif
const unsigned long size_data_gmic_stdlib = (unsigned long)sizeof(data_gmic_stdlib);

